﻿using Hotline.Settings;
using Hotline.Share.Dtos.Knowledge;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
    public interface IKnowledgeRepository : IRepositoryWorkflow<KnowledgeBase.Knowledge>
    {
		Task RemoveKnowledgeWrodBatchAsync(List<string> ids, CancellationToken cancellationToken);

		ISugarQueryable<KnowledgeBiDataListVo> DataList(KnowledgeBiDataListDto dto, CancellationToken cancellationToken);

	}
}
